package com.ejie.m62fb.model.tipos;

public class TipoIniciativa extends AbstractTipoGenericoR09 {

	private static final long serialVersionUID = 1L;

	/**
	 * Valor que hace referencia al campo de BBDD
	 * 
	 * NUM_REGISTRO
	 */
	public static final String NUM_REGISTRO = R09Tipos.TIPO_INICIATIVA;

	/**
	 * Method 'TipoIniciativa'.
	 */
	public TipoIniciativa() {
		super(TipoIniciativa.NUM_REGISTRO);
	}

	/**
	 * Method 'TipoIniciativa'.
	 * 
	 * @param idElereg
	 *            String
	 */
	public TipoIniciativa(String idElereg) {
		super(TipoIniciativa.NUM_REGISTRO, idElereg);
	}

	/**
	 * Method 'TipoIniciativa'.
	 * 
	 * @param idElereg
	 *            String
	 * @param descripcionEs
	 *            String
	 * @param descripcionEu
	 *            String
	 */
	public TipoIniciativa(String idElereg, String descripcionEs,
			String descripcionEu) {
		super(TipoIniciativa.NUM_REGISTRO, idElereg, descripcionEs,
				descripcionEu);
	}
}